%define version	1.0.1
%define release	%mkrel 1

%define scim_version	1.4.0
%define canna_version	3.7p3

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		scim-canna
Summary:	SCIM IMEngine module for Canna
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
License:	GPLv2+
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	http://osdn.dl.sourceforge.jp/scim-imengine/29155/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
Obsoletes:	%libname
Requires:		canna >= %{canna_version}
Requires:		scim-client = %{scim_api}
BuildRequires:		canna >= %{canna_version}
BuildRequires:		canna-devel >= %{canna_version}
BuildRequires:		scim-devel >= 1.4.7-3mdk
BuildRequires:		automake, libltdl-devel

%description
Scim-canna is an SCIM IMEngine module for Canna.
It supports Japanese input.

%prep
%setup -q
cp /usr/share/automake-1.10/mkinstalldirs .

%build
[[ ! -x configure ]] && ./bootstrap
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unneeded files
rm -f %{buildroot}/%{scim_plugins_dir}/*/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%_datadir/scim/icons/scim-canna.png
%{scim_plugins_dir}/IMEngine/*.so
%{scim_plugins_dir}/SetupUI/*.so


%changelog
* Sat Mar 15 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 188079
- New version 1.0.1

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-3mdv2008.1
+ Revision: 171091
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 11 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 62046
- Rebuild


* Thu Feb 09 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release

* Thu Feb 02 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.2.0-1mdk
- package NEWS rather than ChangeLog
- new release (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)

* Thu Oct 06 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.3-1mdk
- new release

* Fri Jul 29 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.1.1-1mdk
- new release
- kill patch 0 (merged upstream)

* Tue Jul 19 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.0-4mdk
- Rebuild for new scim

* Tue Jul 19 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1.0-3mdk
- rebuild for new scim (1.3.1)
- patch 0: fix build with g++-4.x

* Mon May 30 2005 Nicolas L�ureuil <neoclust@mandriva.org> 0.1.0-2mdk
- Rebuild for new scim

* Fri Apr 29 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.1.0-1mdk
- new release

* Thu Mar 24 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.20050324.1mdk
- first spec for Mandrakelinux

